HowTo: Install Onlineoffice on Ubuntu/Debian (No Docker No Limitation)


#121

CODE 4 compiles. But I cant work with documents because of socket errors. “User has joined” … “User has left” in an endless circle when trying to edit something.
Last known good seems to be that:

##########################
set_core_regex=‘cp-5.3$’
set_online_regex=‘collabora/collabora-online-3$’
lo_src_branch=‘distro/collabora/cp-5.3’
lo_src_tag=‘cp-5.3-61’
lool_src_tag=‘3.4.2-1’
###########################

See discussion on github:


Joerg says he has compiled a newer one on cp-6 and online 4 base. But I can’t reproduce it.


#122

I can confirm that downloading latest version of the script, I could compile and run

CODE 4.0.0

With cp- 6.0-26

Thanks again @husisusi


#123

Is this script still applicable in March 2019? If I already have the apt code version installed (as referenced here: https://www.collaboraoffice.com/code/linux-packages/ – do I need to uninstall this package prior to running this script?


#124

yes you have to uninstall that, because it will cause conflict.
You need to build from source for taking off the limitation.